libsmf

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
smf_struct Struct Reference

Represents a "song", that is, collection of one or more tracks. More...

`#include <smf.h>`

## Data Fields
int | format
int | ppqn
| These fields are extracted from "division" field of MThd header. More...
int | frames_per_second
int | resolution
int | number_of_tracks
FILE * | stream
| These are private fields using only by loading and saving routines. More...
void * | file_buffer
int | file_buffer_length
int | next_chunk_offset
int | expected_number_of_tracks
GPtrArray * | tracks_array
| Private, used by smf.c. More...
double | last_seek_position
GPtrArray * | tempo_array
| Private, used by smf_tempo.c. More...

## Detailed Description

Represents a "song", that is, collection of one or more tracks.

Definition at line 230 of file smf.h.

## Field Documentation

int smf_struct::expected_number_of_tracks

Definition at line 244 of file smf.h.

Referenced by smf_load_from_memory().

void* smf_struct::file_buffer

Definition at line 241 of file smf.h.

Referenced by smf_load_from_memory().

int smf_struct::file_buffer_length

Definition at line 242 of file smf.h.

Referenced by smf_load_from_memory().

int smf_struct::format

Definition at line 231 of file smf.h.

Referenced by smf_decode(), and smf_set_format().

int smf_struct::frames_per_second

Definition at line 235 of file smf.h.

Referenced by smf_decode().

double smf_struct::last_seek_position

Definition at line 248 of file smf.h.

Referenced by smf_rewind(), smf_seek_to_event(), smf_seek_to_pulses(), and smf_seek_to_seconds().

int smf_struct::next_chunk_offset

Definition at line 243 of file smf.h.

Referenced by smf_load_from_memory().

int smf_struct::number_of_tracks

Definition at line 237 of file smf.h.

Referenced by smf_add_track(), smf_decode(), smf_delete(), smf_find_track_with_next_event(), smf_get_length_pulses(), smf_get_length_seconds(), smf_get_track_by_number(), smf_load_from_memory(), smf_rewind(), smf_save(), smf_set_format(), and smf_track_remove_from_smf().

int smf_struct::ppqn

These fields are extracted from "division" field of MThd header.

Valid is either ppqn or frames_per_second/resolution.

Definition at line 234 of file smf.h.

Referenced by smf_decode(), and smf_set_ppqn().

int smf_struct::resolution

Definition at line 236 of file smf.h.

Referenced by smf_decode().

FILE* smf_struct::stream

These are private fields using only by loading and saving routines.

Definition at line 240 of file smf.h.

GPtrArray* smf_struct::tempo_array

Private, used by smf_tempo.c.

Array of pointers to smf_tempo_struct.

Definition at line 252 of file smf.h.

Referenced by remove_last_tempo_with_pulses(), smf_delete(), smf_fini_tempo(), smf_get_last_tempo(), smf_get_tempo_by_number(), smf_get_tempo_by_pulses(), smf_get_tempo_by_seconds(), and smf_new().

GPtrArray* smf_struct::tracks_array

Private, used by smf.c.

Definition at line 247 of file smf.h.

Referenced by smf_add_track(), smf_delete(), smf_get_track_by_number(), smf_new(), and smf_track_remove_from_smf().

The documentation for this struct was generated from the following file:

- smf.h